chrome.webRequest.onHeadersReceived.addListener(function (details) {

  if (details.url.endsWith("/.well-known/dnt-policy.txt")) {
    // if it's a redirect, cancel it
    if (details.statusCode >= 300 && details.statusCode < 400) {
      return {
        cancel: true
      };
    }

    // remove Set-Cookie headers
    let headers = details.responseHeaders,
      newHeaders = [];
    for (let i = 0, count = headers.length; i < count; i++) {
      if (headers[i].name.toLowerCase() != "set-cookie") {
        newHeaders.push(headers[i]);
      }
    }
    return {
      responseHeaders: newHeaders
    };
  }

  return {};

}, { urls: ["http://*/*", "https://*/*"] }, ["responseHeaders", "blocking"]);
